Bug 246767 - graphics/mesa-libs: enable libglvnd support
Summary: graphics/mesa-libs: enable libglvnd support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kevin Bowling
URL:
Keywords:
Depends on: 250739
Blocks: 251058
  Show dependency treegraph
 
Reported: 2020-05-27 07:49 UTC by Jan Beich
Modified: 2021-06-22 20:13 UTC (History)
8 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)
jbeich: exp-run+


Attachments
nvidia-driver-390-390.143 build log (54.63 KB, text/plain)
2021-06-17 04:21 UTC, Kevin Bowling
no flags Details
nvidia-driver-460.80_1 build log (58.76 KB, text/plain)
2021-06-17 04:22 UTC, Kevin Bowling
no flags Details
nvidia-hybrid-graphics build log (33.08 KB, text/plain)
2021-06-17 04:22 UTC, Kevin Bowling
no flags Details
nvidia-secondary-driver-460.80 build log (47.81 KB, text/plain)
2021-06-17 04:23 UTC, Kevin Bowling
no flags Details
(draft) Document nvidia-driver vs. libglvnd in UPDATING (1.62 KB, patch)
2021-06-20 00:51 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-05-27 07:49:20 UTC
libglvnd abstracts away vendor-provided libGL. Currently, only Mesa and NVIDIA are supported. In future, multiple Mesa versions may co-exist.

See review D25020 for the patch.
Comment 1 Jan Beich freebsd_committer 2020-10-29 04:53:52 UTC
Can someone explain why exp-run hasn't been performed yet?
Comment 2 Antoine Brodin freebsd_committer 2020-10-29 06:58:53 UTC
(In reply to Jan Beich from comment #1)
According to the review the patch was not approved by maintainer.
Comment 3 Jan Beich freebsd_committer 2020-10-30 06:58:15 UTC
(In reply to Antoine Brodin from comment #2)
I'm disappointed in portmgr@ for facilitating the deadlock situation after x11@ said "it has to be thoroughly tested".
Comment 4 Kyle Evans freebsd_committer 2020-10-31 18:23:38 UTC
(In reply to Jan Beich from comment #3)

Existing deadlock aside, this seems like an odd stance to take. If I'm maintainer of something that's worth doing an exp-run for, I likely will not approve of a patch until I also see the consequences of the patch on reverse dependencies. i.e. maybe I approve in principle, but I want to see that due diligence is done before putting that on paper.

Antoine, do you have any numbers on how many exp-runs we end up not doing over some period of time because a maintainer doesn't approve of the patch?

I think it makes sense to revise this, because I can't imagine this is saving us all that much, resource-wise.
Comment 5 Antoine Brodin freebsd_committer 2020-10-31 21:39:53 UTC
(In reply to Kyle Evans from comment #4)

I don't want to waste an exp-run if x11@ is going to reject the patch even if the exp-run is successfull.   x11@ should speak up.
Comment 6 Jan Beich freebsd_committer 2021-01-30 11:10:40 UTC
Ping. I can't improve the patch or fix consumers without an exp-run.

x11@ actually did speak in favor years ago, see https://github.com/FreeBSDDesktop/freebsd-ports/commits/feature/libglvnd
Comment 7 Antoine Brodin freebsd_committer 2021-01-30 11:18:53 UTC
(In reply to Jan Beich from comment #6)
Can you refresh the patch?
Comment 9 Jan Beich freebsd_committer 2021-02-04 17:15:04 UTC
(In reply to Antoine Brodin from comment #8)
All fixed. Can you retry?
Comment 11 Jan Beich freebsd_committer 2021-02-11 14:15:16 UTC
(In reply to Antoine Brodin from comment #10)
Fixed. To find related commits see https://freshbsd.org/search?q=unbreak+libglvnd
Comment 12 Jan Beich freebsd_committer 2021-04-09 03:45:55 UTC
(In reply to Antoine Brodin from comment #10)
If exp-run is fine now, please, don't squat on Assignee field.
Comment 13 Kevin Bowling freebsd_committer 2021-06-17 04:21:42 UTC
Created attachment 225878 [details]
nvidia-driver-390-390.143 build log
Comment 14 Kevin Bowling freebsd_committer 2021-06-17 04:22:34 UTC
Created attachment 225879 [details]
nvidia-driver-460.80_1 build log
Comment 15 Kevin Bowling freebsd_committer 2021-06-17 04:22:58 UTC
Created attachment 225880 [details]
nvidia-hybrid-graphics build log
Comment 16 Kevin Bowling freebsd_committer 2021-06-17 04:23:27 UTC
Created attachment 225881 [details]
nvidia-secondary-driver-460.80 build log
Comment 17 commit-hook freebsd_committer 2021-06-17 04:27:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b44acc9409bd3bdd92e86e35c06d50e2134b02f2

commit b44acc9409bd3bdd92e86e35c06d50e2134b02f2
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-06-16 15:48:02 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-17 04:25:27 +0000

    graphics/mesa-libs: enable libglvnd support

    PR:             246767
    Reviewed by:    kbowling
    Tested by:      kbowling
    Differential Revision:  https://reviews.freebsd.org/D25020

 Mk/Uses/gl.mk                      | 10 ++---
 Mk/bsd.default-versions.mk         |  4 +-
 graphics/glad/Makefile             |  2 +-
 graphics/libglvnd/Makefile         |  4 +-
 graphics/mesa-devel/Makefile       |  1 +
 graphics/mesa-libs/Makefile        |  9 ++++-
 graphics/mesa-libs/pkg-plist       | 76 +++++++++++++++++++-------------------
 misc/raspberrypi-userland/Makefile |  2 +-
 x11/nvidia-driver/Makefile         | 30 +++++++++------
 x11/nvidia-driver/pkg-plist        |  6 +--
 10 files changed, 81 insertions(+), 63 deletions(-)
Comment 18 Kevin Bowling freebsd_committer 2021-06-17 04:34:08 UTC
(In reply to Jan Beich from comment #0)
Let me know if this is to your liking or needs any changes.
Comment 19 marek 2021-06-17 08:07:41 UTC
Cannot upgrade mesa-libs with libglvnd! 
Upgrading via "portmaster -a"  failed with error:
pkg-static: libglvnd-1.3.2 conflicts with mesa-libs-20.2.3 (installs files into the same place). Problematic file: /usr/local/include/EGL/egl.h
Comment 20 Greg V 2021-06-17 10:26:34 UTC
(In reply to marek from comment #19)

Using portmaster style tools will inevitably run into this kind of thing.
You have to uninstall the mesa-libs package first.

Use clean-building systems like poudriere/synth for much better results.
Comment 21 Adriaan de Groot freebsd_committer 2021-06-17 10:37:04 UTC
@jbeich, @kbowling: given the last comment (number 19) here, can you add an UPDATING telling people to uninstall previous relevant things before re-building. This is a common stumbling block for portupgrade-users -- and not one that poudriere+pkg users are likely to notice in testing.

This change has a positive -- probably unexpected -- side-effect on CMake-users that look for OpenGL: now GLVND is found, EGL is made available as an imported target. The relevant CMake-module is /usr/local/share/cmake/Modules/FindOpenGL.cmake and talks about how GLVND is Linux-only (which is now no longer true, it seems). In turn, this fixes some build problems with KDE Plasma (which would really like to use EGL but couldn't find it correctly on FreeBSD before).
Comment 22 Jan Beich freebsd_committer 2021-06-17 12:09:32 UTC
(In reply to Adriaan de Groot from comment #21)
"pkg set -n mesa-libs:libglvnd" cannot be used in this case because some ports would end up depending on both mesa-libs (for libgbm.so) and libglvnd (for libEGL.so). As such all direct consumers of mesa-libs must be rebuilt. Unfortunately, I can't test if portmaster/portupgrade instructions make sense.

# Post-libglvnd upgrade example on a DE-less dual-stack X11 + Wayland system
$ pkg info -qr mesa-libs | xargs pkg info -qo | sort -u
benchmarks/glmark2            # glmark2-drm and glmark2-es2-drm
devel/sdl20                   # SDL_VIDEODRIVER=kmsdrm
graphics/mesa-dri             # mesa-libs via libglapi
multimedia/mpv                # --gpu-context=drm
x11-servers/xorg-server       # modesetting and glamor (default on Intel without xf86-video-intel)
x11-servers/xwayland-devel    # DRI3 on non-NVIDIA
x11-toolkits/wlroots          # WLR_BACKENDS=drm (default on console)

20210617:
  AFFECTS: users of graphics/mesa-libs
  AUTHOR: ?

  Some libraries from mesa-libs are now provided by libglvnd while
  others were renamed. When building outside poudriere make sure to
  remove mesa-libs first in order to avoid conflict with libglvnd.

  For portmaster users:
  # pkg delete -f mesa-libs
  # portmaster -a

  For portupgrade users:
  # pkg delete -f mesa-libs
  # portupgrade -a
Comment 23 commit-hook freebsd_committer 2021-06-17 14:16:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f0559e873477fc1b4d625ca9edf8c4a0f3cc2489

commit f0559e873477fc1b4d625ca9edf8c4a0f3cc2489
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-17 14:15:22 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-17 14:15:22 +0000

    UPDATING: Add notes for mesa-libs on portmaster/portupgrade

    PR:             246767

 UPDATING | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
Comment 24 Kevin Bowling freebsd_committer 2021-06-17 14:20:54 UTC
Yeah I tested the poudriere/pkg path and wrote my messages and commits from it.  I think we should consider setting "tiers" for tooling support, I'm sure those are fun tools but it's difficult to test every single upgrade with every single permutation :)

This is good work, it unblocks other good work and I'm happy to see it progressing!  Feel free to ping me if there is anything else to fix.
Comment 25 marek 2021-06-17 14:56:26 UTC
(In reply to:
  comment 20 (Greg V) : "...uninstall the mesa-libs package first...",
  comment 21 (Adriaan de Groot) : "...uninstall previous relevant things...",
  comment 22 (Jan Beich) : "...all direct consumers of mesa-libs must be rebuilt...")

Thank you all for the advice.

Usually I "pkg delete" problematic package without reporting a problem and waiting for an advice. However, in case of mesa-libs, this requires rebuilding (roughly) half of my system and it's hard to believe that I have to do it just for a new, fancy library (while the old one is quite good)? Is it really the only way?
Comment 26 Kevin Bowling freebsd_committer 2021-06-18 19:45:26 UTC
(In reply to marek from comment #25)
It's necessary to progress graphics on FreeBSD and unblock future desktop environments.  If you don't like compiling packages you should consider running quarterly branches or binary packages.
Comment 27 Jan Beich freebsd_committer 2021-06-20 00:51:33 UTC
Created attachment 225944 [details]
(draft) Document nvidia-driver vs. libglvnd in UPDATING

Apparently, users bump into the package conflict from x11/nvidia-driver side due to bundling libglvnd. "pkg delete -f nvidia-driver" will help but portmaster/portupgrade won't automatically re-install the leaf port.

pkg-static: libglvnd-1.3.3 conflicts with nvidia-driver-460.80 (installs files into the same place).  Problematic file: /usr/local/lib/libGLX.so
Comment 28 commit-hook freebsd_committer 2021-06-22 18:54:24 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=da3162c7c9f01912ba1940e188b253f2b5c7ba77

commit da3162c7c9f01912ba1940e188b253f2b5c7ba77
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-19 20:16:08 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-22 18:53:08 +0000

    graphics/mesa-libs: Bump reverse deps for libglvnd

    Per discussion with bapt on helping pkg handle the changing of these
    deps and avoiding impossible upgrade senarios.

    PR:             246767
    Reviewed by:    manu, bapt
    Approved by:    x11
    Differential Revision:  https://reviews.freebsd.org/D30824

 accessibility/caribou/Makefile                          | 2 +-
 accessibility/gammy/Makefile                            | 1 +
 accessibility/qt5-speech/Makefile                       | 2 +-
 astro/celestia/Makefile                                 | 2 +-
 astro/nightfall/Makefile                                | 2 +-
 astro/opencpn/Makefile                                  | 2 +-
 astro/openuniverse/Makefile                             | 2 +-
 astro/qmapshack/Makefile                                | 1 +
 audio/abgate-lv2/Makefile                               | 1 +
 audio/avldrums-lv2/Makefile                             | 1 +
 audio/bambootracker/Makefile                            | 1 +
 audio/carla/Makefile                                    | 2 +-
 audio/clementine-player/Makefile                        | 2 +-
 audio/csoundqt/Makefile                                 | 1 +
 audio/din/Makefile                                      | 1 +
 audio/dpf-plugins-lv2/Makefile                          | 1 +
 audio/dragonfly-reverb-lv2/Makefile                     | 1 +
 audio/drumkv1-lv2/Makefile                              | 1 +
 audio/dsbmixer/Makefile                                 | 1 +
 audio/faustlive/Makefile                                | 2 +-
 audio/fmit/Makefile                                     | 1 +
 audio/fossmixer/Makefile                                | 1 +
 audio/gogglesmm/Makefile                                | 2 +-
 audio/guidolib/Makefile                                 | 1 +
 audio/hpsjam/Makefile                                   | 1 +
 audio/jamulus/Makefile                                  | 1 +
 audio/komposter/Makefile                                | 1 +
 audio/lsp-plugins-lv2/Makefile                          | 1 +
 audio/midi-matrix-lv2/Makefile                          | 1 +
 audio/mixxx/Makefile                                    | 2 +-
 audio/moony-lv2/Makefile                                | 1 +
 audio/mumble/Makefile                                   | 2 +-
 audio/nekobi-lv2/Makefile                               | 2 +-
 audio/padthv1-lv2/Makefile                              | 1 +
 audio/pc-mixer/Makefile                                 | 2 +-
 audio/pianobooster/Makefile                             | 1 +
 audio/polyphone/Makefile                                | 1 +
 audio/qaudiosonar/Makefile                              | 1 +
 audio/qjackctl/Makefile                                 | 1 +
 audio/qmidictl/Makefile                                 | 1 +
 audio/qsampler/Makefile                                 | 2 +-
 audio/quimup/Makefile                                   | 2 +-
 audio/samplv1-lv2/Makefile                              | 1 +
 audio/sherlock-lv2/Makefile                             | 1 +
 audio/sonic-visualiser/Makefile                         | 2 +-
 audio/spectacle-lv2/Makefile                            | 1 +
 audio/stmp/Makefile                                     | 1 +
 audio/synthv1-lv2/Makefile                              | 1 +
 audio/tiatracker/Makefile                               | 2 +-
 audio/virtual_oss_ctl/Makefile                          | 1 +
 audio/vm-lv2/Makefile                                   | 1 +
 audio/wolf-shaper-lv2/Makefile                          | 1 +
 audio/x42-plugins-lv2/Makefile                          | 1 +
 audio/zam-plugins-lv2/Makefile                          | 1 +
 audio/zynaddsubfx/Makefile                              | 2 +-
 benchmarks/glmark2/Makefile                             | 2 +-
 benchmarks/vkmark/Makefile                              | 1 +
 biology/molden/Makefile                                 | 2 +-
 biology/ugene/Makefile                                  | 1 +
 cad/PrusaSlicer/Makefile                                | 2 +-
 cad/brlcad/Makefile                                     | 1 +
 cad/calculix/Makefile                                   | 1 +
 cad/freecad/Makefile                                    | 1 +
 cad/gmsh/Makefile                                       | 2 +-
 cad/kicad-devel/Makefile                                | 2 +-
 cad/kicad/Makefile                                      | 1 +
 cad/klayout/Makefile                                    | 2 +-
 cad/ldview/Makefile                                     | 1 +
 cad/leocad/Makefile                                     | 1 +
 cad/librecad/Makefile                                   | 1 +
 cad/librepcb/Makefile                                   | 1 +
 cad/magic/Makefile                                      | 1 +
 cad/meshlab/Makefile                                    | 1 +
 cad/netgen/Makefile                                     | 1 +
 cad/opencascade/Makefile                                | 2 +-
 cad/openctm/Makefile                                    | 1 +
 cad/openscad-devel/Makefile                             | 2 +-
 cad/openscad/Makefile                                   | 2 +-
 cad/openvsp/Makefile                                    | 2 +-
 cad/pcb/Makefile                                        | 2 +-
 cad/pdnmesh/Makefile                                    | 2 +-
 cad/py-ocp/Makefile                                     | 2 +-
 cad/qcad/Makefile                                       | 2 +-
 cad/qelectrotech/Makefile                               | 1 +
 cad/repsnapper/Makefile                                 | 2 +-
 cad/solvespace/Makefile                                 | 2 +-
 cad/sumo/Makefile                                       | 2 +-
 cad/veroroute/Makefile                                  | 1 +
 cad/z88/Makefile                                        | 1 +
 comms/cubicsdr/Makefile                                 | 2 +-
 comms/gqrx/Makefile                                     | 1 +
 comms/klog/Makefile                                     | 1 +
 comms/limesuite/Makefile                                | 2 +-
 comms/py-qt5-sensors/Makefile                           | 1 +
 comms/py-qt5-serialport/Makefile                        | 1 +
 comms/qsstv/Makefile                                    | 2 +-
 comms/wsjtx/Makefile                                    | 2 +-
 databases/grass7/Makefile                               | 2 +-
 databases/pgmodeler/Makefile                            | 1 +
 databases/py-qt5-sql/Makefile                           | 1 +
 databases/redisdesktopmanager/Makefile                  | 1 +
 databases/sqlitestudio/Makefile                         | 1 +
 deskutils/anydesk/Makefile                              | 1 +
 deskutils/cairo-dock/Makefile                           | 2 +-
 deskutils/calibre/Makefile                              | 1 +
 deskutils/calindori/Makefile                            | 1 +
 deskutils/fet/Makefile                                  | 1 +
 deskutils/flameshot/Makefile                            | 2 +-
 deskutils/gnome-contacts/Makefile                       | 1 +
 deskutils/gnome-maps/Makefile                           | 1 +
 deskutils/kongress/Makefile                             | 1 +
 deskutils/lumina-archiver/Makefile                      | 1 +
 deskutils/lumina-calculator/Makefile                    | 1 +
 deskutils/lumina-fileinfo/Makefile                      | 1 +
 deskutils/lumina-fm/Makefile                            | 1 +
 deskutils/lumina-mediaplayer/Makefile                   | 1 +
 deskutils/lumina-pdf/Makefile                           | 2 +-
 deskutils/lumina-photo/Makefile                         | 1 +
 deskutils/lumina-screenshot/Makefile                    | 1 +
 deskutils/lumina-textedit/Makefile                      | 1 +
 deskutils/qownnotes/Makefile                            | 2 +-
 deskutils/recoll/Makefile                               | 2 +-
 deskutils/znotes/Makefile                               | 1 +
 devel/agar/Makefile                                     | 2 +-
 devel/allegro/Makefile                                  | 2 +-
 devel/allegro5/Makefile                                 | 1 +
 devel/bullet/Makefile                                   | 2 +-
 devel/clanlib/Makefile                                  | 2 +-
 devel/clanlib1/Makefile                                 | 2 +-
 devel/efl/Makefile                                      | 2 +-
 devel/electron12/Makefile                               | 1 +
 devel/erlang-esdl/Makefile                              | 1 +
 devel/fifechan/Makefile                                 | 1 +
 devel/geany-plugin-multiterm/Makefile                   | 1 +
 devel/glui/Makefile                                     | 2 +-
 devel/godot/Makefile                                    | 2 +-
 devel/godot2/Makefile                                   | 2 +-
 devel/guichan/Makefile                                  | 2 +-
 devel/gwenhywfar-qt5/Makefile                           | 2 +-
 devel/gwenhywfar/Makefile                               | 2 +-
 devel/juce/Makefile                                     | 2 +-
 devel/kyra/Makefile                                     | 2 +-
 devel/liteide/Makefile                                  | 1 +
 devel/love/Makefile                                     | 1 +
 devel/love07/Makefile                                   | 2 +-
 devel/love08/Makefile                                   | 2 +-
 devel/love10/Makefile                                   | 2 +-
 devel/love5/Makefile                                    | 2 +-
 devel/nextpnr/Makefile                                  | 2 +-
 devel/p5-SDL/Makefile                                   | 2 +-
 devel/py-bullet3/Makefile                               | 1 +
 devel/py-qt5-designer/Makefile                          | 1 +
 devel/py-qt5-designerplugin/Makefile                    | 1 +
 devel/py-qt5-help/Makefile                              | 1 +
 devel/py-qt5-location/Makefile                          | 1 +
 devel/py-qt5-qscintilla2/Makefile                       | 1 +
 devel/py-qt5-remoteobjects/Makefile                     | 1 +
 devel/py-qt5-test/Makefile                              | 1 +
 devel/pyotherside-qt5/Makefile                          | 1 +
 devel/pyside2-tools/Makefile                            | 1 +
 devel/pyside2/Makefile                                  | 1 +
 devel/qbs/Makefile                                      | 1 +
 devel/qscintilla2-designerplugin-qt5/Makefile           | 1 +
 devel/qscintilla2-qt5/Makefile                          | 1 +
 devel/qt5-remoteobjects/Makefile                        | 2 +-
 devel/qtcreator/Makefile                                | 2 +-
 devel/raylib/Makefile                                   | 1 +
 devel/sasm/Makefile                                     | 1 +
 devel/sdl20/Makefile                                    | 2 +-
 devel/sdl_gnat/Makefile                                 | 2 +-
 devel/sfml/Makefile                                     | 2 +-
 devel/sfml1/Makefile                                    | 2 +-
 devel/simavr/Makefile                                   | 1 +
 devel/simgear/Makefile                                  | 1 +
 devel/zeal/Makefile                                     | 2 +-
 editors/encryptpad/Makefile                             | 2 +-
 editors/featherpad/Makefile                             | 1 +
 editors/focuswriter/Makefile                            | 1 +
 editors/libreoffice6/Makefile                           | 2 +-
 editors/openoffice-4/Makefile                           | 1 +
 editors/openoffice-devel/Makefile                       | 2 +-
 editors/tea/Makefile                                    | 1 +
 editors/texmaker/Makefile                               | 2 +-
 editors/texstudio/Makefile                              | 2 +-
 editors/vscode/Makefile                                 | 1 +
 emulators/aranym/Makefile                               | 1 +
 emulators/cannonball/Makefile                           | 1 +
 emulators/cemu/Makefile                                 | 1 +
 emulators/dgen-sdl/Makefile                             | 2 +-
 emulators/dolphin-emu/Makefile                          | 1 +
 emulators/dosbox-staging/Makefile                       | 1 +
 emulators/emu64/Makefile                                | 2 +-
 emulators/emulationstation/Makefile                     | 1 +
 emulators/fs-uae/Makefile                               | 2 +-
 emulators/gens/Makefile                                 | 2 +-
 emulators/gngeo/Makefile                                | 2 +-
 emulators/higan/Makefile                                | 2 +-
 emulators/libretro-ppsspp/Makefile                      | 2 +-
 emulators/magia/Makefile                                | 1 +
 emulators/mame/Makefile                                 | 1 +
 emulators/mednafen/Makefile                             | 1 +
 emulators/mgba/Makefile                                 | 1 +
 emulators/mupen64plus-core/Makefile                     | 2 +-
 emulators/mupen64plus-qt/Makefile                       | 2 +-
 emulators/mupen64plus-rsp-cxd4/Makefile                 | 2 +-
 emulators/mupen64plus-rsp-z64/Makefile                  | 1 +
 emulators/mupen64plus-video-arachnoid/Makefile          | 2 +-
 emulators/mupen64plus-video-glide64/Makefile            | 2 +-
 emulators/mupen64plus-video-glide64mk2/Makefile         | 2 +-
 emulators/mupen64plus-video-rice/Makefile               | 2 +-
 emulators/mupen64plus-video-z64/Makefile                | 2 +-
 emulators/openmsx/Makefile                              | 1 +
 emulators/pcem/Makefile                                 | 2 +-
 emulators/pcsxr/Makefile                                | 2 +-
 emulators/ppsspp-qt5/Makefile                           | 2 +-
 emulators/ppsspp/Makefile                               | 2 +-
 emulators/qemu-cheri/Makefile                           | 2 +-
 emulators/qemu-devel/Makefile                           | 1 +
 emulators/qemu/Makefile                                 | 2 +-
 emulators/qemu31/Makefile                               | 2 +-
 emulators/qemu41/Makefile                               | 1 +
 emulators/qemu42/Makefile                               | 1 +
 emulators/qemu50/Makefile                               | 1 +
 emulators/qmc2/Makefile                                 | 2 +-
 emulators/sameboy/Makefile                              | 1 +
 emulators/ukncbtl/Makefile                              | 1 +
 emulators/vice/Makefile                                 | 2 +-
 emulators/virtualbox-ose-legacy/Makefile                | 2 +-
 emulators/virtualbox-ose/Makefile                       | 1 +
 emulators/visualboyadvance-m/Makefile                   | 2 +-
 emulators/wine-proton/Makefile                          | 1 +
 finance/qtbitcointrader/Makefile                        | 1 +
 games/0ad/Makefile                                      | 2 +-
 games/DDNet/Makefile                                    | 1 +
 games/KnightCap/Makefile                                | 2 +-
 games/NBlood/Makefile                                   | 1 +
 games/OpenDiablo2/Makefile                              | 1 +
 games/OpenLara/Makefile                                 | 1 +
 games/abuse_sdl/Makefile                                | 2 +-
 games/alephone/Makefile                                 | 2 +-
 games/alienarena/Makefile                               | 2 +-
 games/allacrost/Makefile                                | 2 +-
 games/apoolGL/Makefile                                  | 2 +-
 games/armagetronad/Makefile                             | 1 +
 games/arx-libertatis/Makefile                           | 2 +-
 games/assaultcube/Makefile                              | 2 +-
 games/asteroids3d/Makefile                              | 2 +-
 games/astromenace/Makefile                              | 2 +-
 games/asylum/Makefile                                   | 2 +-
 games/atr3d/Makefile                                    | 2 +-
 games/auralquiz/Makefile                                | 2 +-
 games/avoision/Makefile                                 | 2 +-
 games/avp/Makefile                                      | 1 +
 games/barony/Makefile                                   | 2 +-
 games/battalion/Makefile                                | 2 +-
 games/billardgl/Makefile                                | 2 +-
 games/blackshadeselite/Makefile                         | 2 +-
 games/blobby/Makefile                                   | 2 +-
 games/blockout/Makefile                                 | 2 +-
 games/blokish/Makefile                                  | 2 +-
 games/bloodfrontier/Makefile                            | 2 +-
 games/brainparty/Makefile                               | 2 +-
 games/briquolo/Makefile                                 | 2 +-
 games/brutalchess/Makefile                              | 2 +-
 games/bubble-chains/Makefile                            | 1 +
 games/burrtools/Makefile                                | 2 +-
 games/bzflag/Makefile                                   | 1 +
 games/cake/Makefile                                     | 2 +-
 games/caph/Makefile                                     | 2 +-
 games/cave9/Makefile                                    | 2 +-
 games/cdogs-sdl/Makefile                                | 1 +
 games/chessx/Makefile                                   | 1 +
 games/chromium-bsu/Makefile                             | 2 +-
 games/colobot/Makefile                                  | 2 +-
 games/connectagram/Makefile                             | 1 +
 games/connectfive/Makefile                              | 2 +-
 games/construo/Makefile                                 | 2 +-
 games/crack-attack/Makefile                             | 2 +-
 games/craft/Makefile                                    | 2 +-
 games/crashtest/Makefile                                | 2 +-
 games/cretan-hubris/Makefile                            | 2 +-
 games/criticalmass/Makefile                             | 2 +-
 games/critterding/Makefile                              | 2 +-
 games/crrcsim/Makefile                                  | 2 +-
 games/csmash/Makefile                                   | 2 +-
 games/cube/Makefile                                     | 2 +-
 games/cultivation/Makefile                              | 2 +-
 games/cutemaze/Makefile                                 | 1 +
 games/darkplaces/Makefile                               | 2 +-
 games/diaspora/Makefile                                 | 2 +-
 games/doomlegacy/Makefile                               | 1 +
 games/doomsday/Makefile                                 | 1 +
 games/dreamchess/Makefile                               | 1 +
 games/duel/Makefile                                     | 2 +-
 games/dustrac/Makefile                                  | 1 +
 games/dxx-rebirth/Makefile                              | 1 +
 games/edge/Makefile                                     | 2 +-
 games/eduke32/Makefile                                  | 1 +
 games/egl/Makefile                                      | 2 +-
 games/egoboo/Makefile                                   | 1 +
 games/el/Makefile                                       | 1 +
 games/emptyepsilon/Makefile                             | 1 +
 games/endless-sky/Makefile                              | 1 +
 games/ensemblist/Makefile                               | 2 +-
 games/etracer/Makefile                                  | 1 +
 games/eureka/Makefile                                   | 1 +
 games/excido/Makefile                                   | 2 +-
 games/ezquake/Makefile                                  | 2 +-
 games/f1spirit-remake/Makefile                          | 2 +-
 games/fbg2/Makefile                                     | 2 +-
 games/fishsupper/Makefile                               | 2 +-
 games/flightgear/Makefile                               | 1 +
 games/foobillard/Makefile                               | 2 +-
 games/freedroidrpg/Makefile                             | 2 +-
 games/freeminer/Makefile                                | 2 +-
 games/freeorion/Makefile                                | 1 +
 games/freetennis/Makefile                               | 2 +-
 games/frogatto/Makefile                                 | 2 +-
 games/gillo/Makefile                                    | 2 +-
 games/gl-117/Makefile                                   | 2 +-
 games/glaxium/Makefile                                  | 2 +-
 games/glest/Makefile                                    | 2 +-
 games/glmaze/Makefile                                   | 2 +-
 games/glsfcave/Makefile                                 | 2 +-
 games/gltron/Makefile                                   | 2 +-
 games/gnome-2048/Makefile                               | 1 +
 games/gnome-chess/Makefile                              | 1 +
 games/gnome-nibbles/Makefile                            | 1 +
 games/gnubg/Makefile                                    | 2 +-
 games/gnubik/Makefile                                   | 2 +-
 games/gnujump/Makefile                                  | 2 +-
 games/golly/Makefile                                    | 2 +-
 games/goonies/Makefile                                  | 2 +-
 games/gottet/Makefile                                   | 1 +
 games/gracer/Makefile                                   | 2 +-
 games/gzdoom/Makefile                                   | 2 +-
 games/hedgewars/Makefile                                | 2 +-
 games/hexalate/Makefile                                 | 1 +
 games/holotz-castle/Makefile                            | 2 +-
 games/hyperrogue/Makefile                               | 1 +
 games/ioquake3/Makefile                                 | 2 +-
 games/iortcw/Makefile                                   | 1 +
 games/iqpuzzle/Makefile                                 | 1 +
 games/jaggedalliance2/Makefile                          | 1 +
 games/jfsw/Makefile                                     | 1 +
 games/jigzo/Makefile                                    | 2 +-
 games/joequake/Makefile                                 | 2 +-
 games/jvgs/Makefile                                     | 2 +-
 games/keeperrl/Makefile                                 | 2 +-
 games/kobodeluxe/Makefile                               | 2 +-
 games/ksudoku/Makefile                                  | 1 +
 games/kubrick/Makefile                                  | 1 +
 games/lander/Makefile                                   | 2 +-
 games/legesmotus/Makefile                               | 2 +-
 games/libretro-beetle_psx/Makefile                      | 1 +
 games/libretro-desmume2015/Makefile                     | 1 +
 games/libretro-fbalpha/Makefile                         | 1 +
 games/libretro-fbneo/Makefile                           | 1 +
 games/libretro-opera/Makefile                           | 1 +
 games/libretro-paralleln64/Makefile                     | 1 +
 games/libretro-pcsx_rearmed/Makefile                    | 1 +
 games/libretro-play/Makefile                            | 2 +-
 games/libretro-tyrquake/Makefile                        | 1 +
 games/libretro-uae/Makefile                             | 1 +
 games/libretro-vecx/Makefile                            | 1 +
 games/lightsoff/Makefile                                | 2 +-
 games/lincity-ng/Makefile                               | 2 +-
 games/linwarrior/Makefile                               | 2 +-
 games/lugaru/Makefile                                   | 1 +
 games/manaplus/Makefile                                 | 1 +
 games/marblemarcher/Makefile                            | 1 +
 games/megaglest/Makefile                                | 2 +-
 games/megamario/Makefile                                | 2 +-
 games/memonix/Makefile                                  | 2 +-
 games/minetest/Makefile                                 | 1 +
 games/motogt/Makefile                                   | 2 +-
 games/naev/Makefile                                     | 2 +-
 games/nehquake/Makefile                                 | 2 +-
 games/netherearth/Makefile                              | 2 +-
 games/netradiant/Makefile                               | 2 +-
 games/neverball/Makefile                                | 2 +-
 games/nexuiz/Makefile                                   | 2 +-
 games/nighthawk/Makefile                                | 2 +-
 games/nimuh/Makefile                                    | 2 +-
 games/oolite/Makefile                                   | 2 +-
 games/openage/Makefile                                  | 2 +-
 games/openarena/Makefile                                | 1 +
 games/opencity/Makefile                                 | 2 +-
 games/openclonk/Makefile                                | 2 +-
 games/openjk/Makefile                                   | 1 +
 games/openmw/Makefile                                   | 1 +
 games/openrct2/Makefile                                 | 2 +-
 games/openspades/Makefile                               | 2 +-
 games/openxcom/Makefile                                 | 2 +-
 games/osgg/Makefile                                     | 2 +-
 games/palomino/Makefile                                 | 2 +-
 games/peg-e/Makefile                                    | 1 +
 games/phlipple/Makefile                                 | 2 +-
 games/pinball/Makefile                                  | 1 +
 games/pingus/Makefile                                   | 2 +-
 games/pink-pony/Makefile                                | 2 +-
 games/pioneer/Makefile                                  | 2 +-
 games/pipewalker/Makefile                               | 2 +-
 games/pokerth/Makefile                                  | 2 +-
 games/pouetchess/Makefile                               | 2 +-
 games/prboom-plus/Makefile                              | 2 +-
 games/prboom/Makefile                                   | 2 +-
 games/py-fife/Makefile                                  | 1 +
 games/q2p/Makefile                                      | 2 +-
 games/q2pro/Makefile                                    | 2 +-
 games/q3cellshading/Makefile                            | 2 +-
 games/quadrapassel/Makefile                             | 2 +-
 games/quake2lnx/Makefile                                | 2 +-
 games/quake2max/Makefile                                | 2 +-
 games/quake3/Makefile                                   | 2 +-
 games/qudos/Makefile                                    | 2 +-
 games/quetoo/Makefile                                   | 2 +-
 games/r1q2/Makefile                                     | 2 +-
 games/rawgl/Makefile                                    | 1 +
 games/re3/Makefile                                      | 1 +
 games/redeclipse/Makefile                               | 1 +
 games/redeclipse16/Makefile                             | 1 +
 games/regoth/Makefile                                   | 2 +-
 games/residualvm/Makefile                               | 1 +
 games/retroarch/Makefile                                | 1 +
 games/rlvm/Makefile                                     | 2 +-
 games/sauerbraten/Makefile                              | 1 +
 games/scorched3d/Makefile                               | 2 +-
 games/scourge/Makefile                                  | 2 +-
 games/sdb/Makefile                                      | 2 +-
 games/sdl-ball/Makefile                                 | 1 +
 games/sea-defender/Makefile                             | 2 +-
 games/searchandrescue/Makefile                          | 2 +-
 games/shaaft/Makefile                                   | 2 +-
 games/shockolate/Makefile                               | 1 +
 games/shootingstar/Makefile                             | 2 +-
 games/simplevaders/Makefile                             | 1 +
 games/simsu/Makefile                                    | 1 +
 games/slade/Makefile                                    | 1 +
 games/solarconquest/Makefile                            | 2 +-
 games/solarus/Makefile                                  | 2 +-
 games/spring/Makefile                                   | 2 +-
 games/steelstorm/Makefile                               | 2 +-
 games/stormbaancoureur/Makefile                         | 2 +-
 games/stratagus/Makefile                                | 1 +
 games/supertux/Makefile                                 | 2 +-
 games/supertux2/Makefile                                | 1 +
 games/supertuxkart/Makefile                             | 1 +
 games/tanglet/Makefile                                  | 1 +
 games/teeworlds/Makefile                                | 1 +
 games/tenebrae/Makefile                                 | 2 +-
 games/tesseract/Makefile                                | 2 +-
 games/tetzle/Makefile                                   | 1 +
 games/thegrind/Makefile                                 | 2 +-
 games/tomatoes/Makefile                                 | 2 +-
 games/tome4-beta/Makefile                               | 2 +-
 games/tome4/Makefile                                    | 2 +-
 games/torcs/Makefile                                    | 2 +-
 games/toycars/Makefile                                  | 2 +-
 games/trackballs/Makefile                               | 1 +
 games/traingame/Makefile                                | 2 +-
 games/tremulous/Makefile                                | 2 +-
 games/trenchbroom/Makefile                              | 2 +-
 games/trigger-rally/Makefile                            | 2 +-
 games/tux-aqfh/Makefile                                 | 2 +-
 games/tuxkart/Makefile                                  | 2 +-
 games/tuxracer/Makefile                                 | 2 +-
 games/ufoai/Makefile                                    | 2 +-
 games/uhexen2/Makefile                                  | 2 +-
 games/ultimatestunts/Makefile                           | 2 +-
 games/valyriatear/Makefile                              | 2 +-
 games/vamos/Makefile                                    | 2 +-
 games/violetland/Makefile                               | 2 +-
 games/warzone2100/Makefile                              | 1 +
 games/widelands/Makefile                                | 2 +-
 games/wizznic/Makefile                                  | 1 +
 games/worldofpadman/Makefile                            | 2 +-
 games/wyrmgus/Makefile                                  | 1 +
 games/xmoto/Makefile                                    | 2 +-
 games/xorgramana/Makefile                               | 2 +-
 games/zaz/Makefile                                      | 1 +
 graphics/Coin/Makefile                                  | 2 +-
 graphics/anttweakbar/Makefile                           | 1 +
 graphics/appleseed/Makefile                             | 2 +-
 graphics/blender-lts28/Makefile                         | 2 +-
 graphics/blender/Makefile                               | 2 +-
 graphics/bonzomatic/Makefile                            | 1 +
 graphics/cegui/Makefile                                 | 2 +-
 graphics/clutter-gtk3/Makefile                          | 1 +
 graphics/clutter/Makefile                               | 1 +
 graphics/cogl/Makefile                                  | 1 +
 graphics/colmap/Makefile                                | 2 +-
 graphics/darktable/Makefile                             | 2 +-
 graphics/devil/Makefile                                 | 2 +-
 graphics/diffpdf/Makefile                               | 2 +-
 graphics/digikam/Makefile                               | 2 +-
 graphics/dilay/Makefile                                 | 2 +-
 graphics/djview4/Makefile                               | 1 +
 graphics/dynamechs/Makefile                             | 2 +-
 graphics/egl-wayland/Makefile                           | 1 +
 graphics/electricsheep/Makefile                         | 2 +-
 graphics/embree/Makefile                                | 1 +
 graphics/engauge-digitizer/Makefile                     | 2 +-
 graphics/eog-plugins/Makefile                           | 1 +
 graphics/evolvotron/Makefile                            | 2 +-
 graphics/f3d/Makefile                                   | 1 +
 graphics/fracplanet/Makefile                            | 2 +-
 graphics/fraqtive/Makefile                              | 2 +-
 graphics/freeglut/Makefile                              | 2 +-
 graphics/freetype-gl/Makefile                           | 2 +-
 graphics/ftgl/Makefile                                  | 1 +
 graphics/fv/Makefile                                    | 2 +-
 graphics/gauche-gl/Makefile                             | 2 +-
 graphics/geomorph/Makefile                              | 2 +-
 graphics/geomview/Makefile                              | 2 +-
 graphics/glad/Makefile                                  | 1 +
 graphics/gle/Makefile                                   | 2 +-
 graphics/glee/Makefile                                  | 1 +
 graphics/glew-wayland/Makefile                          | 2 +-
 graphics/glew/Makefile                                  | 2 +-
 graphics/glexcess/Makefile                              | 2 +-
 graphics/glfw/Makefile                                  | 1 +
 graphics/glfw2/Makefile                                 | 2 +-
 graphics/gliv/Makefile                                  | 2 +-
 graphics/glosm/Makefile                                 | 2 +-
 graphics/glpng/Makefile                                 | 2 +-
 graphics/gltt/Makefile                                  | 2 +-
 graphics/glx-utils/Makefile                             | 1 +
 graphics/gnash/Makefile                                 | 2 +-
 graphics/gource/Makefile                                | 2 +-
 graphics/gpxsee/Makefile                                | 1 +
 graphics/gstreamer1-plugins-gl/Makefile                 | 2 +-
 graphics/gthumb/Makefile                                | 2 +-
 graphics/hugin/Makefile                                 | 2 +-
 graphics/imv/Makefile                                   | 2 +-
 graphics/instant-meshes/Makefile                        | 2 +-
 graphics/jasper/Makefile                                | 1 +
 graphics/jogl/Makefile                                  | 2 +-
 graphics/katarakt/Makefile                              | 2 +-
 graphics/kludge3d/Makefile                              | 2 +-
 graphics/kmscube/Makefile                               | 1 +
 graphics/kquickimageeditor/Makefile                     | 1 +
 graphics/lib3ds/Makefile                                | 2 +-
 graphics/libGLU/Makefile                                | 1 +
 graphics/libQGLViewer/Makefile                          | 1 +
 graphics/libchamplain/Makefile                          | 1 +
 graphics/libepoxy/Makefile                              | 1 +
 graphics/libgfx/Makefile                                | 2 +-
 graphics/libgltext/Makefile                             | 2 +-
 graphics/libgltf/Makefile                               | 2 +-
 graphics/libosmesa/Makefile                             | 1 +
 graphics/libprojectm/Makefile                           | 2 +-
 graphics/libvisual04-plugins/Makefile                   | 2 +-
 graphics/magnum-examples/Makefile                       | 2 +-
 graphics/magnum-extras/Makefile                         | 2 +-
 graphics/magnum-plugins/Makefile                        | 2 +-
 graphics/magnum/Makefile                                | 2 +-
 graphics/maim/Makefile                                  | 2 +-
 graphics/mesa-demos/Makefile                            | 2 +-
 graphics/mesa-dri/Makefile                              | 2 +-
 graphics/mesa-gallium-va/Makefile                       | 2 +-
 graphics/mesa-gallium-vdpau/Makefile                    | 1 +
 graphics/mesa-gallium-xa/Makefile                       | 1 +
 graphics/milton/Makefile                                | 1 +
 graphics/mupdf/Makefile                                 | 1 +
 graphics/ocaml-lablgl/Makefile                          | 2 +-
 graphics/ogre3d/Makefile                                | 2 +-
 graphics/open3d/Makefile                                | 2 +-
 graphics/opencolorio-tools/Makefile                     | 1 +
 graphics/opencolorio/Makefile                           | 2 +-
 graphics/opencsg/Makefile                               | 2 +-
 graphics/opendx/Makefile                                | 2 +-
 graphics/openfx-arena/Makefile                          | 2 +-
 graphics/openfx-misc/Makefile                           | 2 +-
 graphics/openrm/Makefile                                | 2 +-
 graphics/opensubdiv/Makefile                            | 2 +-
 graphics/osg/Makefile                                   | 2 +-
 graphics/osg34/Makefile                                 | 2 +-
 graphics/osgearth/Makefile                              | 2 +-
 graphics/oyranos/Makefile                               | 2 +-
 graphics/p5-OpenGL/Makefile                             | 2 +-
 graphics/panoglview/Makefile                            | 2 +-
 graphics/partio/Makefile                                | 1 +
 graphics/pencil2d/Makefile                              | 1 +
 graphics/photoflare/Makefile                            | 1 +
 graphics/phototonic/Makefile                            | 1 +
 graphics/piglit/Makefile                                | 1 +
 graphics/pinpoint/Makefile                              | 2 +-
 graphics/pixie/Makefile                                 | 2 +-
 graphics/py-PyOpenGL/Makefile                           | 1 +
 graphics/py-python-poppler-qt5/Makefile                 | 2 +-
 graphics/py-qt5-svg/Makefile                            | 1 +
 graphics/py-visvis/Makefile                             | 2 +-
 graphics/qgis-ltr/Makefile                              | 2 +-
 graphics/qgis/Makefile                                  | 2 +-
 graphics/qt5-opengl/Makefile                            | 2 +-
 graphics/qt5-wayland/Makefile                           | 2 +-
 graphics/qtpbfimageplugin/Makefile                      | 2 +-
 graphics/quat-gui/Makefile                              | 2 +-
 graphics/quesa/Makefile                                 | 2 +-
 graphics/quesoglc/Makefile                              | 2 +-
 graphics/qvge/Makefile                                  | 1 +
 graphics/radiance/Makefile                              | 2 +-
 graphics/radius-engine/Makefile                         | 2 +-
 graphics/reallyslick/Makefile                           | 2 +-
 graphics/rubygem-opengl/Makefile                        | 1 +
 graphics/s2tc/Makefile                                  | 2 +-
 graphics/sage/Makefile                                  | 2 +-
 graphics/sdl_ttf/Makefile                               | 2 +-
 graphics/seexpr/Makefile                                | 1 +
 graphics/seom/Makefile                                  | 2 +-
 graphics/sharpconstruct/Makefile                        | 2 +-
 graphics/simpleviewer/Makefile                          | 2 +-
 graphics/swftools/Makefile                              | 2 +-
 graphics/tiffgt/Makefile                                | 1 +
 graphics/tiled/Makefile                                 | 1 +
 graphics/togl/Makefile                                  | 2 +-
 graphics/urho3d/Makefile                                | 1 +
 graphics/vpaint/Makefile                                | 2 +-
 graphics/waffle/Makefile                                | 1 +
 graphics/waylandpp/Makefile                             | 1 +
 graphics/wdune/Makefile                                 | 2 +-
 graphics/wings/Makefile                                 | 1 +
 graphics/xaos/Makefile                                  | 1 +
 graphics/yukon/Makefile                                 | 2 +-
 java/java3d/Makefile                                    | 2 +-
 java/openjfx14/Makefile                                 | 2 +-
 lang/basic256/Makefile                                  | 1 +
 lang/clover/Makefile                                    | 1 +
 lang/erlang-runtime20/Makefile                          | 2 +-
 lang/erlang-runtime21/Makefile                          | 2 +-
 lang/erlang-runtime22/Makefile                          | 2 +-
 lang/erlang-runtime23/Makefile                          | 2 +-
 lang/erlang-wx/Makefile                                 | 2 +-
 lang/erlang/Makefile                                    | 2 +-
 lang/kf5-kross/Makefile                                 | 1 +
 lang/py-qt5-qml/Makefile                                | 1 +
 lang/smalltalk/Makefile                                 | 2 +-
 lang/squeak/Makefile                                    | 2 +-
 mail/thunderbird/Makefile                               | 1 +
 math/analitza/Makefile                                  | 1 +
 math/asymptote/Makefile                                 | 2 +-
 math/cgal/Makefile                                      | 1 +
 math/curv/Makefile                                      | 2 +-
 math/freefem++/Makefile                                 | 2 +-
 math/g2o/Makefile                                       | 1 +
 math/geogram/Makefile                                   | 1 +
 math/giacxcas/Makefile                                  | 2 +-
 math/kalgebra/Makefile                                  | 1 +
 math/mathgl/Makefile                                    | 2 +-
 math/mathmod/Makefile                                   | 1 +
 math/minizinc-ide/Makefile                              | 2 +-
 math/octave/Makefile                                    | 2 +-
 math/octomap/Makefile                                   | 1 +
 math/openmesh/Makefile                                  | 1 +
 math/poly2tri/Makefile                                  | 1 +
 math/qwtplot3d/Makefile                                 | 1 +
 math/scilab/Makefile                                    | 2 +-
 math/ump/Makefile                                       | 2 +-
 math/vtk6/Makefile                                      | 2 +-
 math/vtk8/Makefile                                      | 1 +
 math/vtk9/Makefile                                      | 2 +-
 math/zegrapher/Makefile                                 | 1 +
 misc/actiona/Makefile                                   | 2 +-
 misc/crosti/Makefile                                    | 2 +-
 misc/dartsim/Makefile                                   | 2 +-
 misc/openhantek/Makefile                                | 1 +
 misc/openvdb/Makefile                                   | 1 +
 misc/orion/Makefile                                     | 1 +
 misc/qbrew/Makefile                                     | 2 +-
 misc/qt5ct/Makefile                                     | 1 +
 misc/raspberrypi-userland/Makefile                      | 1 +
 misc/valentina/Makefile                                 | 1 +
 multimedia/QtAV/Makefile                                | 2 +-
 multimedia/aegisub/Makefile                             | 2 +-
 multimedia/arcan/Makefile                               | 2 +-
 multimedia/avidemux-cli/Makefile                        | 1 +
 multimedia/avidemux-qt5/Makefile                        | 1 +
 multimedia/avidemux/Makefile                            | 2 +-
 multimedia/bino/Makefile                                | 2 +-
 multimedia/cheese/Makefile                              | 2 +-
 multimedia/clutter-gst/Makefile                         | 2 +-
 multimedia/clutter-gst3/Makefile                        | 1 +
 multimedia/dvbcut/Makefile                              | 2 +-
 multimedia/ffaudioconverter/Makefile                    | 1 +
 multimedia/gmerlin/Makefile                             | 2 +-
 multimedia/gstreamer1-qt/Makefile                       | 2 +-
 multimedia/gstreamer1-vaapi/Makefile                    | 2 +-
 multimedia/kamoso/Makefile                              | 1 +
 multimedia/kdenlive/Makefile                            | 1 +
 multimedia/kodi-addon-screensaver.biogenesis/Makefile   | 1 +
 multimedia/kodi-addon-screensaver.matrixtrails/Makefile | 1 +
 multimedia/kodi-addon-screensaver.stars/Makefile        | 1 +
 multimedia/kodi-addon-visualization.fishbmc/Makefile    | 2 +-
 multimedia/kodi-addon-visualization.shadertoy/Makefile  | 1 +
 multimedia/kodi-addon-visualization.spectrum/Makefile   | 1 +
 multimedia/kodi/Makefile                                | 2 +-
 multimedia/libva-glx/Makefile                           | 1 +
 multimedia/libva-vdpau-driver/Makefile                  | 2 +-
 multimedia/libvdpau-va-gl/Makefile                      | 2 +-
 multimedia/libxine/Makefile                             | 2 +-
 multimedia/lives/Makefile                               | 2 +-
 multimedia/minitube/Makefile                            | 1 +
 multimedia/mlt/Makefile                                 | 1 +
 multimedia/mpc-qt/Makefile                              | 1 +
 multimedia/mplayer/Makefile                             | 1 +
 multimedia/mpv/Makefile                                 | 2 +-
 multimedia/mpvpaper/Makefile                            | 1 +
 multimedia/mythtv-frontend/Makefile                     | 1 +
 multimedia/mythtv/Makefile                              | 2 +-
 multimedia/olive/Makefile                               | 1 +
 multimedia/opentoonz/Makefile                           | 1 +
 multimedia/phonon-gstreamer/Makefile                    | 1 +
 multimedia/py-qt5-multimedia/Makefile                   | 1 +
 multimedia/py-qt5-multimediawidgets/Makefile            | 1 +
 multimedia/qmmp-qt5/Makefile                            | 2 +-
 multimedia/qt5-multimedia/Makefile                      | 2 +-
 multimedia/shotcut/Makefile                             | 1 +
 multimedia/smplayer/Makefile                            | 1 +
 multimedia/smtube/Makefile                              | 1 +
 multimedia/vdr-plugin-xineliboutput/Makefile            | 2 +-
 multimedia/webcamoid/Makefile                           | 1 +
 multimedia/wlrobs/Makefile                              | 1 +
 net-im/chatterino2/Makefile                             | 2 +-
 net-im/diligent/Makefile                                | 2 +-
 net-im/gitterdone/Makefile                              | 2 +-
 net-im/neochat/Makefile                                 | 2 +-
 net-im/ricochet/Makefile                                | 2 +-
 net-im/spectral/Makefile                                | 2 +-
 net-im/teamwords/Makefile                               | 2 +-
 net-im/telegram-desktop/Makefile                        | 1 +
 net-p2p/qbittorrent/Makefile                            | 1 +
 net-p2p/retroshare/Makefile                             | 2 +-
 net/py-qt5-networkauth/Makefile                         | 1 +
 net/quiterss/Makefile                                   | 1 +
 net/spoofer/Makefile                                    | 1 +
 net/tigervnc-server/Makefile                            | 2 +-
 net/waypipe/Makefile                                    | 1 +
 net/wpa_supplicant_gui/Makefile                         | 1 +
 net/x2goclient/Makefile                                 | 1 +
 polish/qnapi/Makefile                                   | 2 +-
 print/gl2ps/Makefile                                    | 1 +
 print/limereport/Makefile                               | 1 +
 print/miktex/Makefile                                   | 2 +-
 print/posterazor/Makefile                               | 1 +
 print/py-qt5-printsupport/Makefile                      | 1 +
 print/qpdfview/Makefile                                 | 2 +-
 science/afni/Makefile                                   | 2 +-
 science/avogadro2/Makefile                              | 1 +
 science/avogadrolibs/Makefile                           | 1 +
 science/cgnslib/Makefile                                | 2 +-
 science/drawxtl/Makefile                                | 1 +
 science/elmerfem/Makefile                               | 2 +-
 science/gabedit/Makefile                                | 1 +
 science/gchemutils/Makefile                             | 2 +-
 science/ghemical/Makefile                               | 2 +-
 science/iboview/Makefile                                | 2 +-
 science/kalzium/Makefile                                | 1 +
 science/libghemical/Makefile                            | 2 +-
 science/liboglappth/Makefile                            | 2 +-
 science/luscus/Makefile                                 | 2 +-
 science/medit/Makefile                                  | 2 +-
 science/molscript/Makefile                              | 2 +-
 science/opensim-core/Makefile                           | 2 +-
 science/py-pymol/Makefile                               | 2 +-
 science/scidavis/Makefile                               | 2 +-
 science/shelxle/Makefile                                | 1 +
 science/simbody/Makefile                                | 2 +-
 science/v_sim/Makefile                                  | 2 +-
 science/vipster/Makefile                                | 1 +
 science/vmd/Makefile                                    | 2 +-
 science/wxmacmolplt/Makefile                            | 2 +-
 science/xcrysden/Makefile                               | 2 +-
 science/xdrawchem/Makefile                              | 1 +
 security/yubikey-manager-qt/Makefile                    | 1 +
 security/yubioath-desktop/Makefile                      | 1 +
 sysutils/UEFITool/Makefile                              | 1 +
 sysutils/accounts-qml-module/Makefile                   | 2 +-
 sysutils/daggy/Makefile                                 | 2 +-
 sysutils/dsbbatmon/Makefile                             | 1 +
 sysutils/dsblogoutmgr/Makefile                          | 1 +
 sysutils/dsbmc/Makefile                                 | 1 +
 sysutils/dsbsu/Makefile                                 | 1 +
 sysutils/logstalgia/Makefile                            | 2 +-
 sysutils/luckybackup/Makefile                           | 1 +
 sysutils/pc-networkmanager/Makefile                     | 2 +-
 sysutils/plasma5-kinfocenter/Makefile                   | 1 +
 sysutils/qdirstat/Makefile                              | 1 +
 sysutils/qsudo/Makefile                                 | 2 +-
 sysutils/qtpass/Makefile                                | 1 +
 sysutils/signon-ui/Makefile                             | 2 +-
 sysutils/tarsnap-gui/Makefile                           | 2 +-
 sysutils/trueos-libqt5/Makefile                         | 2 +-
 textproc/fcitx5/Makefile                                | 1 +
 textproc/qstardict/Makefile                             | 2 +-
 textproc/uim-qt5/Makefile                               | 1 +
 www/chromium/Makefile                                   | 1 +
 www/firefox-esr/Makefile                                | 2 +-
 www/firefox/Makefile                                    | 1 +
 www/libwpe/Makefile                                     | 1 +
 www/py-qt5-webengine/Makefile                           | 1 +
 www/py-qt5-webkit/Makefile                              | 1 +
 www/py-qt5-webkitwidgets/Makefile                       | 1 +
 www/qt5-webengine/Makefile                              | 2 +-
 www/qt5-webglplugin/Makefile                            | 2 +-
 www/qt5-webview/Makefile                                | 2 +-
 www/webkit2-gtk3/Makefile                               | 2 +-
 www/wt/Makefile                                         | 1 +
 x11-clocks/glclock/Makefile                             | 2 +-
 x11-drivers/xf86-video-amdgpu/Makefile                  | 2 +-
 x11-drivers/xf86-video-ati/Makefile                     | 2 +-
 x11-drivers/xf86-video-glint/Makefile                   | 2 +-
 x11-drivers/xf86-video-mach64/Makefile                  | 2 +-
 x11-drivers/xf86-video-mga/Makefile                     | 2 +-
 x11-drivers/xf86-video-openchrome/Makefile              | 2 +-
 x11-drivers/xf86-video-r128/Makefile                    | 2 +-
 x11-drivers/xf86-video-savage/Makefile                  | 2 +-
 x11-drivers/xf86-video-sunffb/Makefile                  | 2 +-
 x11-drivers/xf86-video-tdfx/Makefile                    | 2 +-
 x11-fm/fsv2/Makefile                                    | 2 +-
 x11-fm/qtfm/Makefile                                    | 1 +
 x11-fm/sushi/Makefile                                   | 2 +-
 x11-fm/tdfsb/Makefile                                   | 2 +-
 x11-servers/xarcan/Makefile                             | 1 +
 x11-servers/xephyr/Makefile                             | 1 +
 x11-servers/xorg-dmx/Makefile                           | 1 +
 x11-servers/xorg-nestserver/Makefile                    | 1 +
 x11-servers/xorg-server/Makefile                        | 1 +
 x11-servers/xorg-vfbserver/Makefile                     | 1 +
 x11-servers/xwayland/Makefile                           | 1 +
 x11-themes/Kvantum/Makefile                             | 1 +
 x11-themes/qgnomeplatform/Makefile                      | 1 +
 x11-themes/qt5-style-plugins/Makefile                   | 2 +-
 x11-toolkits/SoXt/Makefile                              | 2 +-
 x11-toolkits/fltk/Makefile                              | 1 +
 x11-toolkits/fox14/Makefile                             | 2 +-
 x11-toolkits/fox16/Makefile                             | 1 +
 x11-toolkits/fox17/Makefile                             | 1 +
 x11-toolkits/gnustep-back/Makefile                      | 1 +
 x11-toolkits/gtk30/Makefile                             | 1 +
 x11-toolkits/gtk40/Makefile                             | 2 +-
 x11-toolkits/gtkada3/Makefile                           | 2 +-
 x11-toolkits/gtkglarea2/Makefile                        | 2 +-
 x11-toolkits/gtkglext/Makefile                          | 2 +-
 x11-toolkits/irrlicht/Makefile                          | 2 +-
 x11-toolkits/mygui-opengl/Makefile                      | 2 +-
 x11-toolkits/nanogui/Makefile                           | 2 +-
 x11-toolkits/otk/Makefile                               | 2 +-
 x11-toolkits/pangolin/Makefile                          | 1 +
 x11-toolkits/plib/Makefile                              | 2 +-
 x11-toolkits/py-qt5-chart/Makefile                      | 1 +
 x11-toolkits/py-qt5-gui/Makefile                        | 3 ++-
 x11-toolkits/py-qt5-quick/Makefile                      | 1 +
 x11-toolkits/py-qt5-quick3d/Makefile                    | 1 +
 x11-toolkits/py-qt5-quickwidgets/Makefile               | 1 +
 x11-toolkits/py-qt5-widgets/Makefile                    | 1 +
 x11-toolkits/py-wxPython40/Makefile                     | 2 +-
 x11-toolkits/qml-box2d/Makefile                         | 2 +-
 x11-toolkits/qt5-declarative/Makefile                   | 1 +
 x11-toolkits/qt5-gui/Makefile                           | 2 +-
 x11-toolkits/qwt6/Makefile                              | 1 +
 x11-toolkits/soqt/Makefile                              | 1 +
 x11-toolkits/swt/Makefile                               | 2 +-
 x11-toolkits/wlroots/Makefile                           | 2 +-
 x11-toolkits/wxgtk28/Makefile                           | 2 +-
 x11-toolkits/wxgtk30/Makefile                           | 1 +
 x11-toolkits/wxgtk31/Makefile                           | 1 +
 x11-toolkits/xforms/Makefile                            | 2 +-
 x11-wm/compiz-plugins-extra/Makefile                    | 2 +-
 x11-wm/compiz-plugins-main/Makefile                     | 2 +-
 x11-wm/compiz/Makefile                                  | 2 +-
 x11-wm/compton/Makefile                                 | 2 +-
 x11-wm/emerald/Makefile                                 | 2 +-
 x11-wm/epplets/Makefile                                 | 2 +-
 x11-wm/muffin/Makefile                                  | 1 +
 x11-wm/mutter/Makefile                                  | 1 +
 x11-wm/phoc/Makefile                                    | 1 +
 x11-wm/picom/Makefile                                   | 1 +
 x11-wm/plasma5-kwin/Makefile                            | 1 +
 x11-wm/sway/Makefile                                    | 1 +
 x11-wm/wayfire/Makefile                                 | 1 +
 x11-wm/wmanager/Makefile                                | 2 +-
 x11/3ddesktop/Makefile                                  | 2 +-
 x11/aminal/Makefile                                     | 2 +-
 x11/cinnamon-session/Makefile                           | 1 +
 x11/cinnamon/Makefile                                   | 1 +
 x11/cool-retro-term/Makefile                            | 2 +-
 x11/dsbautostart/Makefile                               | 1 +
 x11/erun/Makefile                                       | 2 +-
 x11/fireflies/Makefile                                  | 2 +-
 x11/glcapsviewer/Makefile                               | 1 +
 x11/gnome-session/Makefile                              | 1 +
 x11/gnome-shell/Makefile                                | 2 +-
 x11/kf5-kwayland/Makefile                               | 1 +
 x11/kf5-plasma-framework/Makefile                       | 1 +
 x11/kitty/Makefile                                      | 1 +
 x11/lumina-core/Makefile                                | 1 +
 x11/mate-screensaver/Makefile                           | 1 +
 x11/nvidia-driver-304/Makefile                          | 2 +-
 x11/nvidia-driver-340/Makefile                          | 2 +-
 x11/nvidia-driver-390/Makefile                          | 2 +-
 x11/nvidia-secondary-driver/Makefile                    | 2 +-
 x11/nvidia-settings/Makefile                            | 1 +
 x11/pcdm/Makefile                                       | 2 +-
 x11/plasma5-kwayland-server/Makefile                    | 1 +
 x11/py-qt5-opengl/Makefile                              | 1 +
 x11/radare-cutter/Makefile                              | 1 +
 x11/slop/Makefile                                       | 2 +-
 x11/virglrenderer/Makefile                              | 1 +
 x11/virtualgl/Makefile                                  | 2 +-
 x11/xdriinfo/Makefile                                   | 2 +-
 x11/xfce4-dashboard/Makefile                            | 1 +
 x11/xfce4-screensaver/Makefile                          | 2 +-
 x11/xscreensaver/Makefile                               | 1 +
 914 files changed, 915 insertions(+), 518 deletions(-)
Comment 29 commit-hook freebsd_committer 2021-06-22 20:13:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=aa133a965a39087ca7b20d94de47342477bbbabe

commit aa133a965a39087ca7b20d94de47342477bbbabe
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-06-22 20:11:46 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-22 20:13:01 +0000

    UPDATING: clarify mesa-libs and nvidia-driver conflicts

    PR:             246767
    Reported by:    jbeich

 UPDATING | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)